DAMASK_grid(1)

NAME
DAMASK_grid - grid solver for DAMASK

SYNOPSIS
DAMASK_grid -g GEOMFILE -l LOADFILE -m MATERIALFILE [-n NUMERICSFILE] [-j JOBNAME] [-w WORKINGDIRECTORY] [-r N] [-h]

DESCRIPTION
DAMASK is the Duesseldorf Advanced Material Simulation Kit. DAMASK_grid runs a DAMASK simulation on a regular grid. MPI parallel runs are supported with mpiexec/mpirun.

OPTIONS

-g, --geom, --geometry=GEOMFILE
    Relative or absolute path to a VTK image data file (*.vti) with 'material' attribute.

-l, --load, --loadcase=LOADFILE
    Relative or absolute path to a load case definition in YAML format.

-m, --material, --materialconfig=MATERIALFILE
    Relative or absolute path to a material configuration in YAML format.

-n, --numerics, --numericsconfig=NUMERICSFILE
    Relative or absolute path to a numerics configuration in YAML format.

-j, --job, --jobname=JOBNAME
    Job name, defaults to GEOM_LOAD_MATERIAL[_NUMERICS].

-w, --wd, --workingdirectory=WORKINGDIRECTORY
    Working directory, defaults to current directory.

-r, --rs, --restart=N
    Restart simulation from given increment.

-h, --help
    Display help and exit.

ENVIRONMENT VARIABLES

OMP_NUM_THREADS
    Number of openMP threads.

AUTHOR
The DAMASK team

REPORTING BUGS
DAMASK online documentation <https://damask-multiphysics.org>

LICENSING
GNU AGPL version 3 or later <https://gnu.org/licenses/agpl.html>.